Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.commons.core.v1
Class StreetType

    java.lang.Object
      be.fgov.ehealth.commons.core.v1.StreetType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2025-09-16T05:05:38+02:00",
               comments="JAXB RI v2.3.6")
    public class StreetType

extends Object
implements Serializable

Localized name for street.

Java class for StreetType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="StreetType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Description" type="{urn:be:fgov:ehealth:commons:core:v1}LocalisedString" maxOccurs="unbounded"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`StreetType()`

Method Summary
`List<LocalisedString>` | `getDescriptions()` Gets the value of the descriptions property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreetType

    public StreetType()

Method Detail

### getDescriptions

    public List<LocalisedString> getDescriptions()

  Gets the value of the descriptions property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the descriptions property.

  For example, to add a new item, do as follows:

          getDescriptions().add(newItem);

  Objects of the following type(s) are allowed in the list `LocalisedString`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSDIETICIAN 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.